.common_conditions: &common_conditions
  conditions:
    state: opened
    date:
      attribute: created_at
      condition: newer_than
      interval_type: months
      interval: 1
    author_member:
      source: group
      condition: member_of
      # gitlab-org
      source_id: 9970
    ruby: |
      !has_type_label?
    forbidden_labels:
      - auto updated

.common_rules: &common_rules
  limits:
    most_recent: 30

resource_rules:
  issues:
    rules:
      - name: Prompt team member authors for type labels where missing
        <<: *common_conditions
        <<: *common_rules
        actions:
          labels:
            - auto updated
          comment: |
            #{ @redact_confidentials = false; nil }
            #{ mention_author = !resource[:confidential]; nil}
            #{ greeting = mention_author ? ":wave: @#{author}" : ":wave:"; nil}

            #{greeting}, please can you add a [type label](https://docs.gitlab.com/ee/development/contributing/issue_workflow.html#type-labels) to this issue
            to help with [issue discovery in issue reports](https://about.gitlab.com/handbook/engineering/quality/triage-operations/#group-level-bugs-features-and-ux-debt).
  merge_requests:
    rules:
      - name: Prompt team member authors of group::package MRs for a type label
        conditions:
          state: opened
          date:
            attribute: created_at
            condition: newer_than
            interval_type: months
            interval: 1
          author_member:
            source: group
            condition: member_of
            # gitlab-org
            source_id: 9970
          ruby: |
            !has_type_label?
          labels:
            - "group::package"
          forbidden_labels:
            - auto updated
        <<: *common_rules
        actions:
          labels:
            - auto updated
          comment: |
            #{ @redact_confidentials = false; nil }
            #{ mention_author = !resource[:confidential]; nil}
            #{ greeting = mention_author ? ":wave: @#{author}" : ":wave:"; nil}

            #{greeting}, please ensure that the [type label](https://docs.gitlab.com/ee/development/contributing/issue_workflow.html#type-labels) on this merge request
            matches the issue type label. This helps ensure traceablity of [work types](https://about.gitlab.com/handbook/engineering/metrics/#work-type-classification) for completed work in a milestone.
